
From: "V. ANANDA KRISHNAN" <mansarov@us.ibm.com>

- updates the version

- fix mixing of declarations and code.  The mixing of declarations and
  code displays warnings when used against RedHat RHEL4.0 distro (compiler
  version is 3.4.3-22.1) and hence I separated them out.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/jsm/jsm.h        |    2 +-
 drivers/serial/jsm/jsm_driver.c |    1 +
 drivers/serial/jsm/jsm_neo.c    |   30 ++++++++++++++++++------------
 3 files changed, 20 insertions(+), 13 deletions(-)

diff -puN drivers/serial/jsm/jsm_driver.c~jsm-warning-fixes drivers/serial/jsm/jsm_driver.c
--- devel/drivers/serial/jsm/jsm_driver.c~jsm-warning-fixes	2005-07-26 00:20:05.000000000 -0700
+++ devel-akpm/drivers/serial/jsm/jsm_driver.c	2005-07-26 00:20:05.000000000 -0700
@@ -22,6 +22,7 @@
  * Scott H Kilau <Scott_Kilau@digi.com>
  * Wendy Xiong   <wendyx@us.ltcfwd.linux.ibm.com>
  *
+ *
  ***********************************************************************/
 #include <linux/moduleparam.h>
 #include <linux/pci.h>
diff -puN drivers/serial/jsm/jsm.h~jsm-warning-fixes drivers/serial/jsm/jsm.h
--- devel/drivers/serial/jsm/jsm.h~jsm-warning-fixes	2005-07-26 00:20:05.000000000 -0700
+++ devel-akpm/drivers/serial/jsm/jsm.h	2005-07-26 00:20:05.000000000 -0700
@@ -89,7 +89,7 @@ enum {
 #define WRITEBUFLEN	((4096) + 4)
 #define MYFLIPLEN	N_TTY_BUF_SIZE
 
-#define JSM_VERSION	"jsm: 1.1-1-INKERNEL"
+#define JSM_VERSION	"jsm: 1.2-1-INKERNEL"
 #define JSM_PARTNUM	"40002438_A-INKERNEL"
 
 struct jsm_board;
diff -puN drivers/serial/jsm/jsm_neo.c~jsm-warning-fixes drivers/serial/jsm/jsm_neo.c
--- devel/drivers/serial/jsm/jsm_neo.c~jsm-warning-fixes	2005-07-26 00:20:05.000000000 -0700
+++ devel-akpm/drivers/serial/jsm/jsm_neo.c	2005-07-26 00:20:05.000000000 -0700
@@ -48,8 +48,9 @@ static inline void neo_pci_posting_flush
 
 static void neo_set_cts_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Setting CTSFLOW\n");
 
@@ -78,8 +79,9 @@ static void neo_set_cts_flow_control(str
 
 static void neo_set_rts_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Setting RTSFLOW\n");
 
@@ -117,8 +119,9 @@ static void neo_set_rts_flow_control(str
 
 static void neo_set_ixon_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Setting IXON FLOW\n");
 
@@ -153,8 +156,9 @@ static void neo_set_ixon_flow_control(st
 
 static void neo_set_ixoff_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Setting IXOFF FLOW\n");
 
@@ -190,8 +194,9 @@ static void neo_set_ixoff_flow_control(s
 
 static void neo_set_no_input_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Unsetting Input FLOW\n");
 
@@ -228,8 +233,9 @@ static void neo_set_no_input_flow_contro
 
 static void neo_set_no_output_flow_control(struct jsm_channel *ch)
 {
-	u8 ier = readb(&ch->ch_neo_uart->ier);
-	u8 efr = readb(&ch->ch_neo_uart->efr);
+	u8 ier, efr;
+	ier = readb(&ch->ch_neo_uart->ier);
+	efr = readb(&ch->ch_neo_uart->efr);
 
 	jsm_printk(PARAM, INFO, &ch->ch_bd->pci_dev, "Unsetting Output FLOW\n");
 
_
